## klamav-trinity 14.0.13

=== debian/changelog ===
klamav-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Oct 2022 00:51:27 +0200

klamav-trinity (0.47) testing; urgency=low

  * Initial release for TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sun, 07 Mar 2021 22:11:32 +0900

klamav (0.46-3+deb6u1) squeeze-lts; urgency=low

  * Rebuild with libclamav7 for clamav 0.99

 -- Scott Kitterman <scott@kitterman.com>  Sun, 28 Feb 2016 13:35:10 +0000

klamav (0.46-3) unstable; urgency=low

  * Add debian/patches/13_ltmail.sh_fix.diff to fix FTBFS on amd64
    (Closes: #542973)
    - Thanks to Stefan Potyra for the patch
  * Update standards version to 3.8.3
    - Add README.Source
  * Adjust package description to reflect the more limited funcitonality
    available with a KDE4 desktop

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Oct 2009 18:11:17 -0400

klamav (0.46-2) unstable; urgency=low

  * Just build-dep on libltdl3-dev

 -- Scott Kitterman <scott@kitterman.com>  Mon, 30 Mar 2009 12:58:00 -0400

klamav (0.46-1) unstable; urgency=low

  * New upstream release for clamav 0.95 compatibility
    - Updated debian/copyright
    - Add build-dep on libltdl7-dev | libltdl3-dev
  * Drop 11-ukraine.patch and 12-clamav-0.94_build_fix.diff
    - Incorporated upstream
  * Freshen 09-disable-autoscan.patch
  * Add 11_desktop_directory.diff, move .desktop file to xdg directory
    - Thanks to Jonathan Riddell <jriddell@ubuntu.com> for the patch
  * Add 12_no_mediaslave.diff, remove obsolete (due to impending KDE4
    transition) Devices section from launcher
  * Update standards version to 3.8.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 30 Mar 2009 10:43:32 -0400

klamav (0.44-3) unstable; urgency=low

  * Add debian/patches/12-clamav-0.94_build_fix.diff to fix FTBFS against
    clamav 0.94
    - Thanks to Mandriva for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 06 Sep 2008 19:06:06 -0400

klamav (0.44-2) unstable; urgency=low

  * Add 11-ukraine.patch for Ukranian translation (thanks to Yuri Chornoivan)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 25 Jul 2008 18:14:43 -0400

klamav (0.44-1) unstable; urgency=low

  * New upstream release (The "Hey, Debian has patches" release)
    - Remove debian/patches/02_servicemenu_fix.patch, incorporated upstream
    - Remove debian/patches/05_kuniqueapplication.patch, incorporated upstream
    - Remove debian/patches/06_gcc43_build.patch, incorporated upstream
    - Remove debian/patches/07-fix-config-path.patch, incorporated upstream
    - Remove debian/patches/11_fix_arj_option.patch, incorporated upstream
    - Remove debian/patches/12_clamscan_0.93_option_update.patch, incorporated
      upstream
  * Remove unneeded debian/patches/13_test.patch
  * Bump standards version to 3.8.0.1 without further change
  * Update debian/copyright to be more pedantic
  * Update debian/patches/09-disable-autoscan.patch to remove unused option
    choices too
    - Thanks to Yuriy Kozlov for pointing out the fix

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 Jul 2008 13:16:12 -0400

klamav (0.43-1) unstable; urgency=low

  * New upstream release
    - Drop debian/patches/11_clamav093.patch, fixed upstream
  * Add debian/patches/11_fix_arj_option.patch to correct option passed to
    clamscan to scan arj files (LP: #222486)
  * Add debian/patches/12_clamscan_0.93_option_update.patch to update for
    clamscan option changes in clamav 0.93

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 May 2008 16:59:57 -0400

klamav (0.42-3) unstable; urgency=low

  * Update to work with clamav 0.93/libclamav4
    - Add debian/patches/11_clamav093.patch so it builds (patch from Fedora)
    - Bump libclamav build-dep and clamav depends version to 0.93~

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 May 2008 09:32:57 -0400

klamav (0.42-2) unstable; urgency=low

  [ Scott Kitterman ]
  .
  * Add 09-disable-autoscan.patch to remove U/I for autoscan
    - Upstream removed the functionality in 0.42, but did us the favor of
      leaving the unused U/I (patch from Kubuntu)
  * Add 10-fix-window-size.patch to make window sizes larger (Closes: #468443)
    - Patch from mandriva
  * Add correct .SH NAME section to ScanWithKlamAV.1, klamarkollon.1, and
    klammail.1
  * Restore debian/changelog for this package (Kubuntu heritage) and drop the
    Debian history from the previous maintainer's package
    - remove debian/changelog.kubuntu
  .
  [ Philipp Kern ]
  * Add DM-Upload-Allowed to this package.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 20 Apr 2008 18:15:21 -0400

klamav (0.42-1) unstable; urgency=low

  * Agreed maintainer change
  * New upstream release (closes: #402593) (closes: #416619) (closes: #454397)
     - Upstream support for clamav 0.9x versions
     - Removed on access scanning functions (klamd)
     - Removed docbook source for klamd.1 and updated debian/rules
  * Rebase packaging on Kubuntu package for 0.42 (historical Kubuntu debian/
    changelog moved to debian/changelog.kubuntu)
    - Adjust version/distro for Debian
    - Use package description from Debian package and update for new version
    - Rename kubuntu* series patches to remove distro specific name
    - Freshen patches
  * Acknowledge NMU (closes: #409636) (closes: #411810) (closes: #412856)
    - Thank you Stephen Gran
  * Add 06_gcc43_build.patch to fix buid failures on GCC 4.3 (closes: #455375)
    - Patch thanks to Andy Shevchenko on klamav-users
  * Add 07-fix-config-path.patch and 08-use-default-database-path.patch using
    relevant parts of 00-fix-config-path.patch and 
    02-use-default-database-path.patch from experimental (closes: #402485)
  * Correctly version libclamav-dev build-dep and clamav dependency
  * Add watch file

 -- Scott Kitterman <scott@kitterman.com>  Wed, 27 Feb 2008 00:15:41 -0500



## klamav-trinity 14.1.0

=== debian/changelog ===
klamav-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Jan 2023 11:09:58 +0100

## klamav-trinity 14.1.1

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#  Modified by Mavridis Philippe for KlamAV.
#
#################################################

cmake_minimum_required( VERSION 3.1 )


##### general package setup #####################

project( klamav )


##### include essential cmake modules ###########

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )



##### optional stuff ############################

option( WITH_ALL_OPTIONS      "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY   "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_EMBEDDED_SQLITE  "Use included SQLite instead of system one" ${WITH_ALL_OPTIONS} )


##### user requested modules ####################

option( BUILD_ALL          "Build all"                          ON )
option( BUILD_DOC          "Build documentation"                ${BUILD_ALL} )
option( BUILD_KLAMMAIL     "Build Klammail (e-mail filter)"     ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"                 ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
klamav-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:05:38 +0200

## klamav-trinity 14.1.2

=== debian/changelog ===
klamav-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Apr 2024 10:23:20 +0200

## klamav-trinity 14.1.3

=== debian/changelog ===
klamav-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:30:36 +0200

=== debian/control ===
Source: klamav-trinity
Section: admin
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Scott Kitterman <scott@kitterman.com>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libclamav-dev (>= 0.102~)
Standards-Version: 3.8.4

Package: klamav-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clamav (>= 0.102)
Replaces: klamav-trinity (<< 4:14.0.0~)
Breaks: klamav-trinity (<< 4:14.0.0~)
Description: TDE frontend for ClamAV [Trinity]
 KlamAV is an anti-virus manager for the TDE desktop that allows you to
 manage your virus-scanning, scheduling, virus research and
 software/database updates.
 .
 KlamAV features manual scanning, quarantine management, virus browser, mail
 scanning (KMail and Evolution) and scan scheduler.

## klamav-trinity 14.1.4

=== debian/changelog ===
klamav-trinity (4:14.1.4-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## klamav-trinity 14.1.5~pre0

=== debian/changelog ===
klamav-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 3c3ec6273842fa77715c08ba05a220648563b782
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## klamav-trinity 14.1.5

=== src/CMakeLists.txt ===
add_subdirectory( about )
add_subdirectory( action )
add_subdirectory( icons )

tde_conditional_add_subdirectory( WITH_EMBEDDED_SQLITE sqlite )
tde_conditional_add_subdirectory( BUILD_KLAMMAIL klammail )

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${TDE_INCLUDE_DIR}
    ${TQT_INCLUDE_DIRS}
    ${LIBCLAMAV_INCLUDE_DIR}
    ${ZLIB_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}/src/sqlite
    ${SQLITE_INCLUDE_DIR}
)

link_directories(
    ${TQT_LIBRARY_DIRS}
    ${TDE_LIB_DIR}
)

##### klamav (executable)
# @SOURCES: autoscanoptions.ui excluded until autoscan reimplemented

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
     main.cpp klamav.cpp freshklam.cpp sigtool.cpp
     klamscan.cpp kuarantine.cpp welcome.cpp dbviewer.cpp
     frame.cpp tabwidget.cpp viewer.cpp pageviewer.cpp
     klamav_run.cpp dcopklamscan.skel directorylist.cpp
     klamonacc.cpp klamonacc_alert.ui
     scanviewer.cpp schedule.cpp datepicker.cpp
     cthost.cpp ctcron.cpp ctmonth.cpp ctdom.cpp
     ctdow.cpp cttask.cpp ctvariable.cpp
     ktlistitem.cpp ktlisttask.cpp ktlisttasks.cpp
     ktview.cpp ktlistcron.cpp kticon.cpp
     activityviewer.cpp collectiondb.cpp
     configdialog.cpp klamavconfig.kcfgc
     archives.ui specialfiletypes.ui klamonacc_config.ui
     firstrunwizard.ui logoptions.ui backend.ui
     k3bjobprogressosd_mod.cpp

  LINK
     tdeio-shared
     tdehtml-shared
     tdeui-shared
     tdecore-shared
     ${LIBCLAMAV_LIBRARIES}
     ${SQLITE_LIBRARIES}
     ${ZLIB_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)

##### create translated desktop files

tde_create_translated_desktop( klamav.desktop )

tde_create_translated_desktop(
     SOURCE klamav-dropdown.desktop
     DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
)

tde_create_translated_desktop(
     SOURCE eventsrc
     DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

##### install XML-GUI resource file
install(
     FILES klamavui.rc
     DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

=== debian/changelog ===
klamav-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## klamav-trinity 14.1.6~pre0

=== debian/changelog ===
klamav-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3c3ec6273842fa77715c08ba05a220648563b782
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## klamav-trinity 14.1.6~pre1

=== debian/changelog ===
klamav-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e5898f88b520f4a8f510b48719521abd78f70170
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:03:58 +0100

## klamav-trinity 14.1.6~pre2

=== debian/changelog ===
klamav-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6e024a081010662e27d9f2051d927ebd95bfa080
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 12:36:17 +0100

## klamav-trinity 14.2.0~pre32

=== src/icons/CMakeLists.txt ===
tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/icons )
tde_install_icons( app-klamav )

=== src/sqlite/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${ZLIB_INCLUDE_DIR}
)


##### SQLite (static)

tde_add_library( sqlite STATIC_PIC

  SOURCES
    alter.c
    attach.c
    auth.c
    btree.c
    build.c
    callback.c
    date.c
    delete.c
    expr.c
    func.c
    hash.c
    insert.c
    legacy.c
    main.c
    opcodes.c
    os_unix.c
    os_win.c
    pager.c
    parse.c
    pragma.c
    prepare.c
    printf.c
    random.c
    select.c
    table.c
    tokenize.c
    trigger.c
    update.c
    utf.c
    util.c
    vacuum.c
    vdbe.c
    vdbeapi.c
    vdbeaux.c
    vdbemem.c
    where.c

  LINK
    ${ZLIB_LIBRARIES}
)

=== debian/changelog ===
klamav-trinity (4:14.2.0~pre32-0debian12.0.0+6) bookworm; urgency=low

  * Automated git build for 7cf359afefc22f920d760f673dde4d06d7bb2c8a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Scott Kitterman <scott@kitterman.com>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libclamav-dev (>= 0.102~)
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libclamav-dev (>= 0.102~)
 Standards-Version: 3.8.4
 
 Package: klamav-trinity

## klamav-trinity 14.2.0~pre33

=== debian/changelog ===
klamav-trinity (4:14.2.0~pre33-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c3f958ecfd8f3378db4be5bd7867df5b42de24f2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:06:05 +0100

## klamav-trinity 14.2.0~pre34

=== debian/changelog ===
klamav-trinity (4:14.2.0~pre34-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 019ea7ee532e14a483ce75eb0d5c5bd6006c50c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#klamav

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Jan 2026 05:07:17 +0100
